#
# spec file for package lbdb
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Red Hat, Inc
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Copyright (c) 2013 The Mageia Project

Name:           lbdb
Summary:        Address Database for mutt
Version:        0.42.1
Release:        %mkrel 1
License:        GPLv2+
Url:            http://www.spinnaker.de/lbdb/
Group:          Databases
Source:         http://www.spinnaker.de/debian/lbdb_%{version}.tar.gz
# change default modules list
Patch:          lbdb.rc.diff
# fix path of evolution-addressbook-export
Patch1:         lbdb-0.38-evolution.diff
# fix hostname lookup if multiple domains are listed in resolv.conf
Patch2:         lbdb-hostname.diff
BuildRequires:	perl
Requires:       perl(Net::LDAP)
Requires:       perl(Getopt::Long)

%description
The Little Brother's Database (lbdb) consists of a set of small tools
that collect mail addresses from several sources and offer these
addresses to the external query feature of the Mutt mail reader.


%prep
%setup -q -n lbdb-%{version}
%patch -p0
%patch1 -p1
%patch2 -p1


%build
export EVOLUTION_ADDRESSBOOK_EXPORT='/usr/libexec/evolution/*/evolution-addressbook-export'
# lbdb uses libdir in most of its helper programs to find the absolute path
# to these binaries, that's why it's forcefully set to %_libexecdir/lbdb.
# Another option would be to s/libdir/libexecdir in the helpers, but there
# are about 15 programs to patch, so this approach is easier.
%configure --libdir=%{_libexecdir}/lbdb
make %{?_smp_mflags}


%install
BUILD_ROOT=${RPM_BUILD_ROOT} make \
        install_prefix=${RPM_BUILD_ROOT} \
        sysconfdir=%{_sysconfdir} \
        mandir=%{_mandir} \
        libdir=%{_libexecdir}/lbdb \
        install


%files
%doc README COPYING INSTALL TODO
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_libexecdir}/lbdb/*
%dir %{_libexecdir}/lbdb
%doc %{_mandir}/man?/*



%changelog
* Mon Jan 02 2017 bcornec <bcornec> 0.42.1-1.mga6
+ Revision: 1079634
- update to upstream lbdb 0.42.1

* Mon May 23 2016 bcornec <bcornec> 0.41-1.mga6
+ Revision: 1018046
- Update to upstream 0.41

* Thu Feb 04 2016 umeabot <umeabot> 0.39-6.mga6
+ Revision: 934393
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.39-5.mga5
+ Revision: 744427
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.39-4.mga5
+ Revision: 725101
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.39-3.mga5
+ Revision: 681277
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 bcornec <bcornec> 0.39-2.mga5
+ Revision: 672475
- update lbdb to upstream 0.39

* Mon Oct 21 2013 umeabot <umeabot> 0.38-2.mga4
+ Revision: 539871
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 bcornec <bcornec> 0.38-1.mga4
+ Revision: 493030
- Fix Group and deps for lbdb
- Use mkrel macro for lbdb coming from Fedora
- imported package lbdb

